package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.core.page.Page;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtApp;

import java.util.List;

/**
 * @author LinQiLong
 * @date 2022/1/7 10:20
 */
public interface PtAppService {

    int insert(PtApp ptApp);

    int update(PtApp ptApp);

    boolean del(String keys);

    PtApp get(String key);

    Page listOfPage(PageParam<PtApp> ptAppPageParam);

    List<PtApp> list(PtApp ptApp);

    /**
     * 筛选 ID 数组获取 PtApp
     *
     * @param ids 应用ID
     * @return 应用列表
     */
    List<PtApp> listByIds(String[] ids);
}
